Main Page Alphabetical List Data Structures File List Data Fields Globals

# fund.h File Reference

## Defines
#define | U32 unsigned int
#define | S32 int
#define | U16 unsigned short
#define | S16 short
#define | U8 unsigned char
#define | U16_2_S16(X) (((X) & 0x8000) ? ((S16) ((S32) (X) - (S32) 0x10000)) : ((S16) (X)))
#define | U16_2_S32(X) (((X) & 0x8000) ? ((S32) (X) - (S32) 0x10000) : ((S32) (X)))

## Define Documentation

#define S16 short

#define S32 int

#define U16 unsigned short

#define U16_2_S16 | ( | X |  | ) | (((X) & 0x8000) ? ((S16) ((S32) (X) - (S32) 0x10000)) : ((S16) (X)))

#define U16_2_S32 | ( | X |  | ) | (((X) & 0x8000) ? ((S32) (X) - (S32) 0x10000) : ((S32) (X)))

#define U32 unsigned int

#define U8 unsigned char